package com.jeesite.modules.consult.service;

import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;
import com.jeesite.modules.consult.entity.ConsultHelpSlave;
import com.jeesite.modules.consult.dao.ConsultHelpSlaveDao;

/**
 * 咨询帮助-从表Service
 * @author wxm
 * @version 2022-06-07
 */
@Service
@Transactional(readOnly=true)
public class ConsultHelpSlaveService extends CrudService<ConsultHelpSlaveDao, ConsultHelpSlave> {
	
	/**
	 * 获取单条数据
	 * @param consultHelpSlave
	 * @return
	 */
	@Override
	public ConsultHelpSlave get(ConsultHelpSlave consultHelpSlave) {
		return super.get(consultHelpSlave);
	}
	
	/**
	 * 查询分页数据
	 * @param consultHelpSlave 查询条件
	 * @param consultHelpSlave.page 分页对象
	 * @return
	 */
	@Override
	public Page<ConsultHelpSlave> findPage(ConsultHelpSlave consultHelpSlave) {
		return super.findPage(consultHelpSlave);
	}
	
	/**
	 * 查询列表数据
	 * @param consultHelpSlave
	 * @return
	 */
	@Override
	public List<ConsultHelpSlave> findList(ConsultHelpSlave consultHelpSlave) {
		return super.findList(consultHelpSlave);
	}
	
	/**
	 * 保存数据（插入或更新）
	 * @param consultHelpSlave
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(ConsultHelpSlave consultHelpSlave) {
		super.save(consultHelpSlave);
	}
	
	/**
	 * 更新状态
	 * @param consultHelpSlave
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(ConsultHelpSlave consultHelpSlave) {
		super.updateStatus(consultHelpSlave);
	}
	
	/**
	 * 删除数据
	 * @param consultHelpSlave
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(ConsultHelpSlave consultHelpSlave) {
		super.delete(consultHelpSlave);
	}
	
}